%define module	Apache-Gallery
%define version	0.9.1
%define release	2mdk
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	mod_perl handler to create an image gallery
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LE/LEGART/%{module}-%{version}.tar.bz2
Patch0:		%{module}-0.9.1.pod.patch.bz2
Patch1:		%{module}-0.9.1.mod_perl2-fix.patch.bz2
URL:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq
BuildRequires:	perl-Image-Imlib2
BuildRequires:	perl-Image-Info
BuildRequires:	perl-Text-Template
BuildRequires:	perl-Test-MockObject
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch

%description
Apache::Gallery creates an thumbnail index of each directory and
allows viewing pictures in different resolutions. Pictures are
resized on the fly and cached.

%prep
%setup -q -n %{module}-%{version}
%patch0
%patch1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gallery
cp -r templates/* $RPM_BUILD_ROOT%{_datadir}/gallery
install -d -m 755 $RPM_BUILD_ROOT%{ap_datadir}/icons
cp htdocs/* $RPM_BUILD_ROOT%{ap_datadir}/icons
cd $RPM_BUILD_ROOT%{ap_datadir}/icons && mv c.png gallery-c.png

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes INSTALL LICENSE TODO UPGRADE
%{perl_vendorlib}/Apache
%{_datadir}/gallery
%{ap_datadir}/icons/*
%{_mandir}/*/*

%changelog
* Fri Sep 17 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-2mdk 
- fixed mod_perl2 issue

* Sun Sep 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.1-1mdk
- new version  
- buildrequires

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-2mdk 
- rpmbuildupdate aware

* Wed Apr 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-1mdk
- new version
- correct source URL
- corrected buildrequires

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-4mdk
- fixed dir ownership (distlint)

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-3mdk
- buildrequires (slbd)

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- included missing templates and icons

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
